=== debian/changelog ===
ros-humble-moveit-planners-ompl (2.5.5-1jammy) jammy; urgency=high

  * Fix Constraint Planning Segfault (#2130 <https://github.com/ros-planning/moveit2/issues/2130>) (#2173 <https://github.com/ros-planning/moveit2/issues/2173>)
    * Fix Constraint Planning Segfault
    * Reuse planner data
    * apply clang formatting
    * apply clang formatting round 2
    * add FIXME note and verbose output of planning graph size
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
    (cherry picked from commit 92a7951f74baaf26d07356612a2f5dca0bac5065)
    Co-authored-by: Marq Rasmussen <mailto:marq.razz@gmail.com>
  * Cleanup msg includes: Use C++ instead of C header (backport #1844 <https://github.com/ros-planning/moveit2/issues/1844>)
    * Cleanup msg includes: Use C++ instead of C header
    * Remove obsolete include: moveit_msgs/srv/execute_known_trajectory.hpp
  * Use <> for non-local headers (#1765 <https://github.com/ros-planning/moveit2/issues/1765>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
    (cherry picked from commit 7a1f2a101f9aeb8557e8a31656bbe1a6d53b430e)
  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: Chris Thrasher, Robert Haschke, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-moveit-planners-ompl (2.5.4-1jammy) jammy; urgency=high

  * simplify_solution per planning context (#1437 <https://github.com/ros-planning/moveit2/issues/1437>) (#1646 <https://github.com/ros-planning/moveit2/issues/1646>)
    (cherry picked from commit 048062cc8749a1e1e224ff99a3bfa12e8c3ae3ba)
    Co-authored-by: Antoine Duplex <mailto:106062275+AntoineDevop@users.noreply.github.com>
  * Convert OMPL status to MoveItErrorCode in the OMPL interface (#1606 <https://github.com/ros-planning/moveit2/issues/1606>) (#1668 <https://github.com/ros-planning/moveit2/issues/1668>)
    (cherry picked from commit baba9b041225ed5518d5235996afb9aa3c5a61f8)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * size_t bijection index type (#1544 <https://github.com/ros-planning/moveit2/issues/1544>) (#1659 <https://github.com/ros-planning/moveit2/issues/1659>)
    (cherry picked from commit af7bd63a084d62de0821bb0e451008f2b1b11954)
  * Fix logic with enforcing constrained planning state space in OMPL (backport #1589 <https://github.com/ros-planning/moveit2/issues/1589>) (#1641 <https://github.com/ros-planning/moveit2/issues/1641>)
    (cherry picked from commit 67e08b7999e252971907dab5cf17b789d1336863)
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Fixes for using generate_state_database (backport #1412 <https://github.com/ros-planning/moveit2/issues/1412>) (#1493 <https://github.com/ros-planning/moveit2/issues/1493>)
  * correctly initialize rmw_serialized_message_t
    (cherry picked from commit cf714d5407d5100e4587e9ead740c665e5a70507)
  * automatically declare parameters from overrides
    (cherry picked from commit b961e9c14d66a6a7abd91490a76ee2bef0fe08dc)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>) (#1483 <https://github.com/ros-planning/moveit2/issues/1483>)
  * Contributors: Alaa, Henning Kayser, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-moveit-planners-ompl (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-moveit-planners-ompl (2.5.2-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Add support for mixed constraints with constrained planner (#1319 <https://github.com/ros-planning/moveit2/issues/1319>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Print OMPL setup info at the DEBUG level (#1330 <https://github.com/ros-planning/moveit2/issues/1330>)
  * Port OMPL orientation constraints to MoveIt2 (#1273 <https://github.com/ros-planning/moveit2/issues/1273>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: JeroenDM <mailto:jeroendemaeyer@live.be>
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * Cleanup OMPL's PlanningContextManager's protected API
  * banish bind()
  * planning_context_manager: rename protected methods
  * Contributors: AndyZe, David V. Lu, Henry Moore, Jafar, Jeroen De Maeyer, Michael Görner, Robert Haschke, Stephanie Eng, Vatan Aksoy Tezer


